Package it.ernytech.tdlib

## Class TdApi.ValidatedOrderInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ValidatedOrderInfo

Enclosing class:
  TdApi

    public static class TdApi.ValidatedOrderInfo
    extends TdApi.Object

Contains a temporary identifier of validated order information, which is stored for one hour. Also contains the available shipping options.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `orderInfoId` Temporary identifier of the order information.
`TdApi.ShippingOption[]` `shippingOptions` Available shipping options.

### Constructor Summary

Constructors
`ValidatedOrderInfo()` Default constructor.
`ValidatedOrderInfo​(java.lang.String orderInfoId, TdApi.ShippingOption[] shippingOptions)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### orderInfoId

    public java.lang.String orderInfoId

Temporary identifier of the order information.

#### shippingOptions

    public TdApi.ShippingOption[] shippingOptions

Available shipping options.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ValidatedOrderInfo

    public ValidatedOrderInfo()

Default constructor.

#### ValidatedOrderInfo

    public ValidatedOrderInfo​(java.lang.String orderInfoId,
                              TdApi.ShippingOption[] shippingOptions)

Constructor for initialization of all fields.

Parameters:
  `orderInfoId` - Temporary identifier of the order information.
  `shippingOptions` - Available shipping options.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR